gnome-vfs 1:2.24.4-6ubuntu1 source package in Ubuntu

Changelog

gnome-vfs (1:2.24.4-6ubuntu1) utopic; urgency=medium

  * Merge from Debian, remaining changes:
    * debian/patches/bugzilla_automake_build.patch:
        - gentoo patch to fix automake1.13 build issue
    * Add breaks for libgnomevfs2-common << 2.24.4
    * In addition to breaking on earlier versions we
      force libgnomevfs2-common to be reinstalled
      this ensures all library locations are properly created and files
      exist in their architecture specific installation.
    * Update build deps version to receive the full support of multi-arch
      processing.
    * Rebuilt with multi-arch support
    * debian/control.in: don't Depends on gnome-mime-data so it's not installed
      on the CD, nothing is using gnome-vfs for mimetypes it's mainly there
      because other deprecated libs still used by some softwares depends on it

  * Dropped changes, applied in Debian:
    * 25_disable_glib_deprecations.patch: disable extra deprecations, build is
      working but builders don't like "implicitly converted to pointer"

gnome-vfs (1:2.24.4-6) unstable; urgency=medium

  * Team upload
    - brown paper bag release.
  * Also make libgnomevfs2-dev depend on libgnutls28-dev
    - like the build-dependency, this drops libgnutls-dev (gnutls26)

gnome-vfs (1:2.24.4-5) unstable; urgency=medium

  * Team upload.

  [ Dimitri John Ledkov ]
  * Switch to gnutls28 (Closes: #747455).
  * Drop gcrypt library dependency, gnutls can do thread locking.

gnome-vfs (1:2.24.4-4) unstable; urgency=low

  * Switch to multiarch.
    + Update installation paths.
    + Remove the daemon and the smb backend, it doesn’t build anymore
      and nobody uses it anyway. It avoids adding a new package just for
      the daemon.
    + Set Multi-Arch fields: lib and dev are MA: same, -common and -bin
      are MA: foreign.
    + Remove gnome:Version stuff.
  * Remove FAM support. The library is not ported to MA, and anyway
    gnome-vfs is not used by nautilus anymore, which was the application
    with a use for that feature.
  * 41_test_srcdir.patch: new patch. Get autoreconf to work with a more
    recent automake.

gnome-vfs (1:2.24.4-3) unstable; urgency=low

  * debian/patches/40_disable_deprecated.patch:
    + New patch, don't define G_DISABLE_DEPRECATED. Fixes FTBFS.
      Closes: #707381.
  * debian/control.in,
    debian/rules:
    + Run dh_autoreconf.
  * debian/patches/90_relibtoolize.patch
    debian/patches/99_ltmain_as-needed.patch:
    + Removed, no longer needed.

gnome-vfs (1:2.24.4-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Andreas Beckmann ]
  * libgnomevfs2-common: Add dummy prerm/postrm as a workaround for gconf2
    related upgrade failures caused by a dangling /usr/bin/python symlink.
    Closes: #706110
 -- Dimitri John Ledkov <email address hidden>   Fri, 08 Aug 2014 09:16:23 +0100

Upload details

Uploaded by:
Dimitri John Ledkov
Uploaded to:
Utopic
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
libs
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
gnome-vfs_2.24.4.orig.tar.gz 2.7 MiB 2eb84be8d260e3c4f13b68e820acf4100e97956f6953067a99119fa8d88c5c00
gnome-vfs_2.24.4-6ubuntu1.debian.tar.xz 27.6 KiB dd66e8d725c710eb7bca62ceecb819dc0b9b8fdf886ec71128e0ff2aae4133c9
gnome-vfs_2.24.4-6ubuntu1.dsc 2.9 KiB fd626021397d03041b8ad29e9207aefb2477954762d55ac87b7d021a8f399e01

View changes file

Binary packages built by this source

libgnomevfs2-0: No summary available for libgnomevfs2-0 in ubuntu utopic.

No description available for libgnomevfs2-0 in ubuntu utopic.

libgnomevfs2-0-dbg: No summary available for libgnomevfs2-0-dbg in ubuntu vivid.

No description available for libgnomevfs2-0-dbg in ubuntu vivid.

libgnomevfs2-bin: No summary available for libgnomevfs2-bin in ubuntu utopic.

No description available for libgnomevfs2-bin in ubuntu utopic.

libgnomevfs2-common: No summary available for libgnomevfs2-common in ubuntu wily.

No description available for libgnomevfs2-common in ubuntu wily.

libgnomevfs2-dev: No summary available for libgnomevfs2-dev in ubuntu vivid.

No description available for libgnomevfs2-dev in ubuntu vivid.

libgnomevfs2-extra: No summary available for libgnomevfs2-extra in ubuntu vivid.

No description available for libgnomevfs2-extra in ubuntu vivid.